Bug 187231 - CVE-2006-1490 PHP memory disclosure issue
CVE-2006-1490 PHP memory disclosure issue
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
impact=moderate,public=20060328,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-29 08:24 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 5.1.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-17 07:55:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-03-29 08:24:17 EST
PHP memory disclosure issue

A memory disclosure issue was found and fixed in PHP's
unescape_html_entities function.  This issue allows a malformed HTML
string to leak back arbitrary memory from the PHP process.

There is more information in the full-disclosure thread:
http://marc.theaimsgroup.com/?t=114360319500050&r=1&w=2

The reporter on full-disclosure attempts to make this issue sound
considerably worse than it is.

The patch is here:
http://cvs.php.net/viewcvs.cgi/php-src/ext/standard/html.c?r1=1.63.2.23.2.1&r2=1.63.2.23.2.2


This issue also affects FC4
Comment 1 Joe Orton 2006-05-17 07:55:07 EDT
Fixed in FEDORA-2006-289.

Note You need to log in before you can comment on or make changes to this bug.